Summary: HP Linux Imaging and Printing
Name: hplip
Version: 0.9.7.2
Release: 1
License: GPL+BSD+MIT
Url: http://hpinkjet.sourceforge.net/
Group: Applications/Publishing

Source0: http://prdownloads.sourceforge.net/hpinkjet/hplip-0.9.7.tar.gz
Patch0: http://prdownloads.sourceforge.net/hpinkjet/hplip-0.9.7-2.patch

Requires: cups hpijs PyQt sip sane-backends
BuildPrereq: cups-devel libjpeg-devel net-snmp-devel
BuildRoot: %{_tmppath}/%{name}-root

%package -n hpijs
Summary: HP Printer Drivers
Group: Applications/Publishing
# Beware: hpijs included in hplip has its own version:
Version: 2.1.7

%description
HP Linux Imaging and Printing allows to use HP multifunction
printers/scanners/faxes under Linux. It is designed for use together with
hpijs.

%description -n hpijs
hpijs is a collection of optimized drivers for HP printers.
hpijs supports the DeskJet 350C, 600C, 600C Photo, 630C, Apollo 2000,
Apollo 2100, Apollo 2560, DeskJet 800C, DeskJet 825, DeskJet 900,
PhotoSmart, DeskJet 990C, and PhotoSmart 100 series.

%prep
%setup -n %{name}-0.9.7
%patch -p1 -b .patch2

%build
%configure --prefix=/usr
make %{?_smp_mflags} 

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/usr/{bin,sbin,lib,share}

make install DESTDIR=$RPM_BUILD_ROOT
rm -rf $RPM_BUILD_ROOT/usr/share/doc $RPM_BUILD_ROOT/etc/sane.d \
	$RPM_BUILD_ROOT/usr/bin/foomatic-rip \
	$RPM_BUILD_ROOT%{_libdir}/cups/filter/foomatic-rip

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
/sbin/chkconfig --add hplip
if grep -q ^hpaio /etc/sane.d/dll.conf
then :
else echo hpaio >>/etc/sane.d/dll.conf
fi
/sbin/service hplip condrestart

%preun
if [ "$1" -eq 0 ]
then
	/sbin/service hplip stop || :
	/sbin/chkconfig --del hplip
fi

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc hplip_readme.html hplip_overview.png COPYING
%{_prefix}/sbin/hpiod
%{_bindir}/hp-*
# %{_bindir}/foomatic-rip
%{_libdir}/*
%{_datadir}/%{name}
%{_datadir}/ppd/HP
%{_datadir}/applications/*.desktop
%{_datadir}/cups/model/foomatic-ppds
%config /etc/hp/hplip.conf
/etc/init.d/hplip
## /etc/init.d/hplip
## /etc/sane.d/dll.conf

%files -n hpijs
%{_bindir}/hpijs
%doc prnt/hpijs/README_LIBJPG prnt/hpijs/gs_hpijs.png prnt/hpijs/hpijs_readme.html prnt/hpijs/COPYING

%changelog
* Tue Dec 20 2005 Jan "Yenya" Kasprzak <kas@fi.muni.cz> 0.9.7.2-1
- initial build

